%global momorel 2
%define modname Config-IniFiles

Summary:	Config-IniFiles module for perl 
Name:		perl-Config-IniFiles
Version:	2.58
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
#Source0:	http://www.cpan.org/modules/by-module/Config/Config-IniFiles-#%%{version}.tar.gz
Source0:	http://www.cpan.org/authors/id/S/SH/SHLOMIF/Config-IniFiles-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Config/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 5.8.1
BuildArch:	noarch

Obsoletes:	perl-Config-INI-Simple

%description
Config-IniFiles module for perl

%prep
%setup -q -n Config-IniFiles-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/Config/IniFiles/.packlist

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Config-IniFiles-%{version}-filelist
if [ "$(cat Config-IniFiles-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Config-IniFiles-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.58-2m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.58-1m)
- rebuild against perl-5.12.1
- update to 2.58

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- update to 2.55

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-1m)
- update to 2.54

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.52-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-2m)
- rebuild against perl-5.10.1

* Mon Jun 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-1m)
- update to 2.52

* Mon May  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-1m)
- update to 2.49

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-1m)
- update to 2.48

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.47-1m)
- update to 2.47

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.46-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-1m)
- update to 2.46

* Sun Dec 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-1m)
- update to 2.45

* Fri Dec 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-1m)
- update to 2.44

* Sun Dec  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.43-1m)
- update to 2.43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.39-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.39-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.39-2m)
- use vendor

* Tue May 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.39-1m)
- update to 2.39

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.38-5m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.38-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.38-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.38-2m)
- remove Epoch from BuildRequires

* Sun May 30 2004 Toru Hoshina <t@momonga-linux.org>
- (2.38-1m)
- spec file was autogenerated
